Subject: Re: Newbie question regarding 3way merge order.

From: Johannes Sixt <[email-masked]>
Date: Tue, 03 Feb 2009 08:21:24 +0100

Again: Don't set Mail-Followup-To and keep the Cc list if you want to
communicate efficiently on this list.

Raimund Berger schrieb:
> Are you sure you're not making assumptions about "obvious" manual
> resolutions? E.g. I can't quite see how A+B, which is
> 
>       g(a)----
>      /        \
>  f(a)          g(a)f(b) or f(a)f(b) ???
>      \        /
>       f(a)f(b)
> 
> would not be flagged as a conflict regarding f(a) vs. g(a).

My introductory sentence was probably not clear enough. I meant:

  mergebase	A	B	A+B
	f	g	f	g
	(	(	(	(
	a	a	a	a
	)	)	)	)
			f	f
			(	(
			b	b
			)	)

There is no conflict in A+B. But strctly speaking, this could be regarded
as an ambiguous merge since the change f->g could be applied to two
places. But if context is taken into consideration, then there is no
conflict in practice.

> And that's why I specifically "limited" my equality relation to
> automatic resolutions, to simplify the discussion and deal with kind of
> minimum requirements first. I didn't even mention that originally
> because I felt it was so obvious.

Yes, it was so obvious, that I thought my statement about "colums are
lines" and "saving vertical space" were obvious, too.

-- Hannes